/* 
 * Tenshi no Hashigo for X
 * Copyright (c) 2001 TF <tf@denpa.org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *      This product includes software developed by TF.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: command.h,v 1.3 2002/03/03 15:37:00 tf Exp $
 */
#ifndef __INCLUDE_COMMAND_H
#define __INCLUDE_COMMAND_H

#include "aladder.h"

int cmd_Bg(char arg[][ARG_LEN], int num, int interrupt);
int cmd_CGLook(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Chara(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Effect(char arg[][ARG_LEN], int num, int interrupt);
int cmd_End(char arg[][ARG_LEN], int num, int interrupt);
int cmd_FadeOutMusic(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Flag(char arg[][ARG_LEN], int num, int interrupt);
int cmd_IfJump(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Jump(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Light(char arg[][ARG_LEN], int num, int interrupt);
int cmd_MessageType(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Music(char arg[][ARG_LEN], int num, int interrupt);
int cmd_OutAllChara(char arg[][ARG_LEN], int num, int interrupt);
int cmd_OutBg(char arg[][ARG_LEN], int num, int interrupt);
int cmd_OutChara(char arg[][ARG_LEN], int num, int interrupt);
int cmd_PREVLook(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Page(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Return(char arg[][ARG_LEN], int num, int interrupt);
int cmd_SceneName(char arg[][ARG_LEN], int num, int interrupt);
int cmd_SelStart(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Select(u_char arg[][ARG_LEN], int num, int interrupt);
int cmd_Sound(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Staffroll(char arg[][ARG_LEN], int num, int interrupt);
int cmd_StopMusic(char arg[][ARG_LEN], int num, int interrupt);
int cmd_Time(char arg[][ARG_LEN], int num, int interrupt);
#endif
