/* 
 * Tenshi no Hashigo for X
 * Copyright (c) 2002 TF <tf@denpa.org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *      This product includes software developed by TF.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: prev_list.h,v 1.2 2002/03/03 15:37:00 tf Exp $
 */
#ifndef __INCLUDE_PREV_LIST_H
#define __INCLUDE_PREV_LIST_H

static struct {
    char *name;
    int id;
} prev_index[2][16] = {
  {
    {"tKCG005.bmp", 0},
    {"tKCG006.bmp", 1},
    {"tKCG008_02.bmp", 2},
    {"tKCG012_01.bmp", 3},
    {"tKCG014_01.bmp", 4},
    {"tKCG015_02.bmp", 5},
    {"tKCG018.bmp", 6},
    {"tMCG018_01.bmp", 7},
    {"tMCG004.bmp", 8},
    {"tMCG007.bmp", 9},
    {"tRCG004_02.bmp", 10},
    {"tRCG020_01.bmp", 11},
    {"tRCG017_04.bmp", 12},
    {"tTCG003_01.bmp", 13},
    {"tTCG012_02.bmp", 14},
    {"tTCG006_03.bmp", 15},
  }, {
    {"tMCG010_02.bmp", 16},
    {"tMCG009.bmp", 17},
    {"tSCG003_02.bmp", 18},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
    {"t_no.bmp", -1},
  }
};

#endif
